Change Password


This endpoint allows an authenticated user to change their account password by providing the current password along with a new password and its confirmation. A valid access token is required. Upon success, the user is prompted to log in again with the new credentials.

Method API Endpoint
POST https://efylink-business.rare-able.com/api/user/change_password

headers: Object containing the API headers.

'Authorization : Bearer Token': Use Login API for access token

'X-CLIENT-ID': Use Get Credentials api to generate X-CLIENT-ID

'X-Api-Signature': To know how to generate please use Authentication

'X-Api-Timestamp': Timestamp

Body Params

current_password required Regex - /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{6,25}$/

password required Regex - /^(?=.*[a-z])(?=.*[A-Z])(?=.*\d)(?=.*[@$!%*?&])[A-Za-z\d@$!%*?&]{6,25}$/

password_confirmation required